Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsPositionsWriter Class Reference

`#include <FormatPostingsPositionsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsPositionsWriter:

## Public Member Functions

| FormatPostingsPositionsWriter (const SegmentWriteStatePtr &state, const FormatPostingsDocsWriterPtr &parent)
virtual | ~FormatPostingsPositionsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FormatPostingsPositionsWriter > | shared_from_this ()
virtual void | addPosition (int32_t position, ByteArray payload, int32_t payloadOffset, int32_t payloadLength)
| Add a new position & payload. More...
void | setField (const FieldInfoPtr &fieldInfo)
virtual void | finish ()
| Called when we are done adding positions & payloads. More...
void | close ()
Public Member Functions inherited from Lucene::FormatPostingsPositionsConsumer
virtual | ~FormatPostingsPositionsConsumer ()
boost::shared_ptr< FormatPostingsPositionsConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsPositionsConsumer
static String | _getClassName ()

## Data Fields

FormatPostingsDocsWriterWeakPtr | _parent
IndexOutputPtr | out
bool | omitTermFreqAndPositions
bool | storePayloads
int32_t | lastPayloadLength
int32_t | lastPosition

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::FormatPostingsPositionsWriter::FormatPostingsPositionsWriter | ( | const SegmentWriteStatePtr & | state,
|  | const FormatPostingsDocsWriterPtr & | parent
| ) |  |

virtual Lucene::FormatPostingsPositionsWriter::~FormatPostingsPositionsWriter | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::FormatPostingsPositionsWriter::_getClassName | ( |  | ) |

inline static

virtual void Lucene::FormatPostingsPositionsWriter::addPosition | ( | int32_t | position,
|  | ByteArray | payload,
|  | int32_t | payloadOffset,
|  | int32_t | payloadLength
| ) |  |

virtual

Add a new position & payload.

Implements Lucene::FormatPostingsPositionsConsumer.

void Lucene::FormatPostingsPositionsWriter::close | ( |  | ) |

virtual void Lucene::FormatPostingsPositionsWriter::finish | ( |  | ) |

virtual

Called when we are done adding positions & payloads.

Implements Lucene::FormatPostingsPositionsConsumer.

virtual String Lucene::FormatPostingsPositionsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FormatPostingsPositionsConsumer.

void Lucene::FormatPostingsPositionsWriter::setField | ( | const FieldInfoPtr & | fieldInfo | ) |

boost::shared_ptr< FormatPostingsPositionsWriter > Lucene::FormatPostingsPositionsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

FormatPostingsDocsWriterWeakPtr Lucene::FormatPostingsPositionsWriter::_parent

int32_t Lucene::FormatPostingsPositionsWriter::lastPayloadLength

int32_t Lucene::FormatPostingsPositionsWriter::lastPosition

bool Lucene::FormatPostingsPositionsWriter::omitTermFreqAndPositions

IndexOutputPtr Lucene::FormatPostingsPositionsWriter::out

bool Lucene::FormatPostingsPositionsWriter::storePayloads

The documentation for this class was generated from the following file:

- FormatPostingsPositionsWriter.h

clucene.sourceforge.net